package it.bluescreen.roboat;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;

/**
 * Created by romanofranz on 22/01/17.
 */

public class EnergyBar {
    public Bitmap bitmap;
    public int color;
    public double value;
    public boolean isConsuming;
    public double maxValue;

    public float left = 240;
    public float top = 1830;
    public float bottom = 1830;
    public float right = 980;


    public EnergyBar(Context context, int color, double value) {
        Bitmap bitmap1 = BitmapFactory.decodeResource(context.getResources(), R.drawable.energy_icon);
        bitmap = Bitmap.createScaledBitmap(bitmap1, 100, 100, false);
        this.color = color;
        this.value = value;
        maxValue = value;
        isConsuming = false;
    }

    public void update(){
        if(isConsuming){
            if(value > 0){
                value -= 1.4;
            }
        }
    }

    public void setIsConsuming(boolean isConsuming){
        this.isConsuming = isConsuming;
    }

}
