package it.bluescreen.roboat;

import android.content.Context;
import android.os.Build;
import android.support.annotation.RequiresApi;
import android.util.AttributeSet;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.widget.FrameLayout;

/**
 * Created by romanofranz on 21/01/17.
 */

public class RoboatView extends FrameLayout {
    public RoboatView(Context context) {
        super(context);
    }

    public RoboatView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public RoboatView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    @RequiresApi(api = Build.VERSION_CODES.LOLLIPOP)
    public RoboatView(Context context, AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
    }

    public void moveToXY(float x, float y){
        rotate(x, y);
        animate().x(x).setInterpolator(new AccelerateDecelerateInterpolator()).setDuration(3000);
        animate().y(y).setInterpolator(new AccelerateDecelerateInterpolator()).setDuration(3000);
    }

    private void rotate(float x, float y) {

    }
}
